ASCII Code 备忘清单
===

这份速查表是 ASCII 码表的完整列表，包含了它们的数字和名称

ASCII 代码表
---
<!--rehype:body-class=cols-1&style=display:none;-->

### ASCII 代码表

| Symbol(符号)                             | Dec  | Oct  | Hex  | Bin      |
|------------------------------------|------|------|------|----------|
| NUL (Null)                         | 0    | 0    | 0    | 0        |
| SOH (Start of Heading)             | 1    | 1    | 1    | 1        |
| STX (Start of Text)                | 2    | 2    | 2    | 10       |
| ETX (End of Text)                  | 3    | 3    | 3    | 11       |
| EOT (End of Transmission)          | 4    | 4    | 4    | 100      |
| ENQ (Enquiry)                      | 5    | 5    | 5    | 101      |
| ACK (Acknowledgment)               | 6    | 6    | 6    | 110      |
| BEL (Bell)                         | 7    | 7    | 7    | 111      |
| BS (Back Space)                    | 8    | 10   | 8    | 1000     |
| HT (Horizontal Tab)                | 9    | 11   | 9    | 1001     |
| LF (Line Feed)                     | 10   | 12   | 0A   | 1010     |
| VT (Vertical Tab)                  | 11   | 13   | 0B   | 1011     |
| FF (Form Feed)                     | 12   | 14   | 0C   | 1100     |
| CR (Carriage Return)               | 13   | 15   | 0D   | 1101     |
| SO (Shift Out / X-On)              | 14   | 16   | 0E   | 1110     |
| SI (Shift In / X-Off)              | 15   | 17   | 0F   | 1111     |
| DLE (Data Line Escape)             | 16   | 20   | 10   | 10000    |
| DC1 (Device Control 1 / oft. XON)  | 17   | 21   | 11   | 10001    |
| DC2 (Device Control 2)             | 18   | 22   | 12   | 10010    |
| DC3 (Device Control 3 / oft. XOFF) | 19   | 23   | 13   | 10011    |
| DC4 (Device Control 4)             | 20   | 24   | 14   | 10100    |
| NAK (Negative Acknowledgement)     | 21   | 25   | 15   | 10101    |
| SYN (Synchronous Idle)             | 22   | 26   | 16   | 10110    |
| ETB (End of Transmit Block)        | 23   | 27   | 17   | 10111    |
| CAN (Cancel)                       | 24   | 30   | 18   | 11000    |
| EM (End of Medium)                 | 25   | 31   | 19   | 11001    |
| SUB (Substitute)                   | 26   | 32   | 1A   | 11010    |
| ESC (Escape)                       | 27   | 33   | 1B   | 11011    |
| FS (File Separator)                | 28   | 34   | 1C   | 11100    |
| GS (Group Separator)               | 29   | 35   | 1D   | 11101    |
| RS (Record Separator)              | 30   | 36   | 1E   | 11110    |
| US (Unit Separator)                | 31   | 37   | 1F   | 11111    |
| (Space)                            | 32   | 40   | 20   | 100000   |
| !                                  | 33   | 41   | 21   | 100001   |
| "                                  | 34   | 42   | 22   | 100010   |
| #                                  | 35   | 43   | 23   | 100011   |
| $                                  | 36   | 44   | 24   | 100100   |
| %                                  | 37   | 45   | 25   | 100101   |
| &amp;                              | 38   | 46   | 26   | 100110   |
| '                                  | 39   | 47   | 27   | 100111   |
| (                                  | 40   | 50   | 28   | 101000   |
| )                                  | 41   | 51   | 29   | 101001   |
| *                                  | 42   | 52   | 2A   | 101010   |
| +                                  | 43   | 53   | 2B   | 101011   |
| ,                                  | 44   | 54   | 2C   | 101100   |
| -                                  | 45   | 55   | 2D   | 101101   |
| .                                  | 46   | 56   | 2E   | 101110   |
| /                                  | 47   | 57   | 2F   | 101111   |
| 0                                  | 48   | 60   | 30   | 110000   |
| 1                                  | 49   | 61   | 31   | 110001   |
| 2                                  | 50   | 62   | 32   | 110010   |
| 3                                  | 51   | 63   | 33   | 110011   |
| 4                                  | 52   | 64   | 34   | 110100   |
| 5                                  | 53   | 65   | 35   | 110101   |
| 6                                  | 54   | 66   | 36   | 110110   |
| 7                                  | 55   | 67   | 37   | 110111   |
| 8                                  | 56   | 70   | 38   | 111000   |
| 9                                  | 57   | 71   | 39   | 111001   |
| :                                  | 58   | 72   | 3A   | 111010   |
| ;                                  | 59   | 73   | 3B   | 111011   |
| &lt;                               | 60   | 74   | 3C   | 111100   |
| =                                  | 61   | 75   | 3D   | 111101   |
| &gt;                               | 62   | 76   | 3E   | 111110   |
| ?                                  | 63   | 77   | 3F   | 111111   |
| @                                  | 64   | 100  | 40   | 1000000  |
| A                                  | 65   | 101  | 41   | 1000001  |
| B                                  | 66   | 102  | 42   | 1000010  |
| C                                  | 67   | 103  | 43   | 1000011  |
| D                                  | 68   | 104  | 44   | 1000100  |
| E                                  | 69   | 105  | 45   | 1000101  |
| F                                  | 70   | 106  | 46   | 1000110  |
| G                                  | 71   | 107  | 47   | 1000111  |
| H                                  | 72   | 110  | 48   | 1001000  |
| I                                  | 73   | 111  | 49   | 1001001  |
| J                                  | 74   | 112  | 4A   | 1001010  |
| K                                  | 75   | 113  | 4B   | 1001011  |
| L                                  | 76   | 114  | 4C   | 1001100  |
| M                                  | 77   | 115  | 4D   | 1001101  |
| N                                  | 78   | 116  | 4E   | 1001110  |
| O                                  | 79   | 117  | 4F   | 1001111  |
| P                                  | 80   | 120  | 50   | 1010000  |
| Q                                  | 81   | 121  | 51   | 1010001  |
| R                                  | 82   | 122  | 52   | 1010010  |
| S                                  | 83   | 123  | 53   | 1010011  |
| T                                  | 84   | 124  | 54   | 1010100  |
| U                                  | 85   | 125  | 55   | 1010101  |
| V                                  | 86   | 126  | 56   | 1010110  |
| W                                  | 87   | 127  | 57   | 1010111  |
| X                                  | 88   | 130  | 58   | 1011000  |
| Y                                  | 89   | 131  | 59   | 1011001  |
| Z                                  | 90   | 132  | 5A   | 1011010  |
| [                                  | 91   | 133  | 5B   | 1011011  |
| \                                  | 92   | 134  | 5C   | 1011100  |
| ]                                  | 93   | 135  | 5D   | 1011101  |
| ^                                  | 94   | 136  | 5E   | 1011110  |
| _                                  | 95   | 137  | 5F   | 1011111  |
| <code>\`</code>                    | 96   | 140  | 60   | 1100000  |
| a                                  | 97   | 141  | 61   | 1100001  |
| b                                  | 98   | 142  | 62   | 1100010  |
| c                                  | 99   | 143  | 63   | 1100011  |
| d                                  | 100  | 144  | 64   | 1100100  |
| e                                  | 101  | 145  | 65   | 1100101  |
| f                                  | 102  | 146  | 66   | 1100110  |
| g                                  | 103  | 147  | 67   | 1100111  |
| h                                  | 104  | 150  | 68   | 1101000  |
| i                                  | 105  | 151  | 69   | 1101001  |
| j                                  | 106  | 152  | 6A   | 1101010  |
| k                                  | 107  | 153  | 6B   | 1101011  |
| l                                  | 108  | 154  | 6C   | 1101100  |
| m                                  | 109  | 155  | 6D   | 1101101  |
| n                                  | 110  | 156  | 6E   | 1101110  |
| o                                  | 111  | 157  | 6F   | 1101111  |
| p                                  | 112  | 160  | 70   | 1110000  |
| q                                  | 113  | 161  | 71   | 1110001  |
| r                                  | 114  | 162  | 72   | 1110010  |
| s                                  | 115  | 163  | 73   | 1110011  |
| t                                  | 116  | 164  | 74   | 1110100  |
| u                                  | 117  | 165  | 75   | 1110101  |
| v                                  | 118  | 166  | 76   | 1110110  |
| w                                  | 119  | 167  | 77   | 1110111  |
| x                                  | 120  | 170  | 78   | 1111000  |
| y                                  | 121  | 171  | 79   | 1111001  |
| z                                  | 122  | 172  | 7A   | 1111010  |
| {                                  | 123  | 173  | 7B   | 1111011  |
|                                    | 124  | 174  | 7C   | 1111100  |
| }                                  | 125  | 175  | 7D   | 1111101  |
| ~                                  | 126  | 176  | 7E   | 1111110  |
| (Delete)                           | 127  | 177  | 7F   | 1111111  |
| €                                  | 128  | 200  | 80   | 10000000 |
|                                    | 129  | 201  | 81   | 10000001 |
| ‚                                  | 130  | 202  | 82   | 10000010 |
| ƒ                                  | 131  | 203  | 83   | 10000011 |
| „                                  | 132  | 204  | 84   | 10000100 |
| …                                  | 133  | 205  | 85   | 10000101 |
| †                                  | 134  | 206  | 86   | 10000110 |
| ‡                                  | 135  | 207  | 87   | 10000111 |
| ˆ                                  | 136  | 210  | 88   | 10001000 |
| ‰                                  | 137  | 211  | 89   | 10001001 |
| Š                                  | 138  | 212  | 8A   | 10001010 |
| ‹                                  | 139  | 213  | 8B   | 10001011 |
| Œ                                  | 140  | 214  | 8C   | 10001100 |
|                                    | 141  | 215  | 8D   | 10001101 |
| Ž                                  | 142  | 216  | 8E   | 10001110 |
|                                    | 143  | 217  | 8F   | 10001111 |
|                                    | 144  | 220  | 90   | 10010000 |
| ‘                                  | 145  | 221  | 91   | 10010001 |
| ’                                  | 146  | 222  | 92   | 10010010 |
| “                                  | 147  | 223  | 93   | 10010011 |
| ”                                  | 148  | 224  | 94   | 10010100 |
| •                                  | 149  | 225  | 95   | 10010101 |
| –                                  | 150  | 226  | 96   | 10010110 |
| —                                  | 151  | 227  | 97   | 10010111 |
| ˜                                  | 152  | 230  | 98   | 10011000 |
| ™                                  | 153  | 231  | 99   | 10011001 |
| š                                  | 154  | 232  | 9A   | 10011010 |
| ›                                  | 155  | 233  | 9B   | 10011011 |
| œ                                  | 156  | 234  | 9C   | 10011100 |
|                                    | 157  | 235  | 9D   | 10011101 |
| ž                                  | 158  | 236  | 9E   | 10011110 |
| Ÿ                                  | 159  | 237  | 9F   | 10011111 |
| (Non-breaking space)               | 160  | 240  | A0   | 10100000 |
| ¡                                  | 161  | 241  | A1   | 10100001 |
| ¢                                  | 162  | 242  | A2   | 10100010 |
| £                                  | 163  | 243  | A3   | 10100011 |
| ¤                                  | 164  | 244  | A4   | 10100100 |
| ¥                                  | 165  | 245  | A5   | 10100101 |
| ¦                                  | 166  | 246  | A6   | 10100110 |
| §                                  | 167  | 247  | A7   | 10100111 |
| ¨                                  | 168  | 250  | A8   | 10101000 |
| ©                                  | 169  | 251  | A9   | 10101001 |
| ª                                  | 170  | 252  | AA   | 10101010 |
| «                                  | 171  | 253  | AB   | 10101011 |
| ¬                                  | 172  | 254  | AC   | 10101100 |
| (Soft hyphen)                      | 173  | 255  | AD   | 10101101 |
| ®                                  | 174  | 256  | AE   | 10101110 |
| ¯                                  | 175  | 257  | AF   | 10101111 |
| °                                  | 176  | 260  | B0   | 10110000 |
| ±                                  | 177  | 261  | B1   | 10110001 |
| ²                                  | 178  | 262  | B2   | 10110010 |
| ³                                  | 179  | 263  | B3   | 10110011 |
| ´                                  | 180  | 264  | B4   | 10110100 |
| µ                                  | 181  | 265  | B5   | 10110101 |
| ¶                                  | 182  | 266  | B6   | 10110110 |
| ·                                  | 183  | 267  | B7   | 10110111 |
| ¸                                  | 184  | 270  | B8   | 10111000 |
| ¹                                  | 185  | 271  | B9   | 10111001 |
| º                                  | 186  | 272  | BA   | 10111010 |
| »                                  | 187  | 273  | BB   | 10111011 |
| ¼                                  | 188  | 274  | BC   | 10111100 |
| ½                                  | 189  | 275  | BD   | 10111101 |
| ¾                                  | 190  | 276  | BE   | 10111110 |
| ¿                                  | 191  | 277  | BF   | 10111111 |
| À                                  | 192  | 300  | C0   | 11000000 |
| Á                                  | 193  | 301  | C1   | 11000001 |
| Â                                  | 194  | 302  | C2   | 11000010 |
| Ã                                  | 195  | 303  | C3   | 11000011 |
| Ä                                  | 196  | 304  | C4   | 11000100 |
| Å                                  | 197  | 305  | C5   | 11000101 |
| Æ                                  | 198  | 306  | C6   | 11000110 |
| Ç                                  | 199  | 307  | C7   | 11000111 |
| È                                  | 200  | 310  | C8   | 11001000 |
| É                                  | 201  | 311  | C9   | 11001001 |
| Ê                                  | 202  | 312  | CA   | 11001010 |
| Ë                                  | 203  | 313  | CB   | 11001011 |
| Ì                                  | 204  | 314  | CC   | 11001100 |
| Í                                  | 205  | 315  | CD   | 11001101 |
| Î                                  | 206  | 316  | CE   | 11001110 |
| Ï                                  | 207  | 317  | CF   | 11001111 |
| Ð                                  | 208  | 320  | D0   | 11010000 |
| Ñ                                  | 209  | 321  | D1   | 11010001 |
| Ò                                  | 210  | 322  | D2   | 11010010 |
| Ó                                  | 211  | 323  | D3   | 11010011 |
| Ô                                  | 212  | 324  | D4   | 11010100 |
| Õ                                  | 213  | 325  | D5   | 11010101 |
| Ö                                  | 214  | 326  | D6   | 11010110 |
| ×                                  | 215  | 327  | D7   | 11010111 |
| Ø                                  | 216  | 330  | D8   | 11011000 |
| Ù                                  | 217  | 331  | D9   | 11011001 |
| Ú                                  | 218  | 332  | DA   | 11011010 |
| Û                                  | 219  | 333  | DB   | 11011011 |
| Ü                                  | 220  | 334  | DC   | 11011100 |
| Ý                                  | 221  | 335  | DD   | 11011101 |
| Þ                                  | 222  | 336  | DE   | 11011110 |
| ß                                  | 223  | 337  | DF   | 11011111 |
| à                                  | 224  | 340  | E0   | 11100000 |
| á                                  | 225  | 341  | E1   | 11100001 |
| â                                  | 226  | 342  | E2   | 11100010 |
| ã                                  | 227  | 343  | E3   | 11100011 |
| ä                                  | 228  | 344  | E4   | 11100100 |
| å                                  | 229  | 345  | E5   | 11100101 |
| æ                                  | 230  | 346  | E6   | 11100110 |
| ç                                  | 231  | 347  | E7   | 11100111 |
| è                                  | 232  | 350  | E8   | 11101000 |
| é                                  | 233  | 351  | E9   | 11101001 |
| ê                                  | 234  | 352  | EA   | 11101010 |
| ë                                  | 235  | 353  | EB   | 11101011 |
| ì                                  | 236  | 354  | EC   | 11101100 |
| í                                  | 237  | 355  | ED   | 11101101 |
| î                                  | 238  | 356  | EE   | 11101110 |
| ï                                  | 239  | 357  | EF   | 11101111 |
| ð                                  | 240  | 360  | F0   | 11110000 |
| ñ                                  | 241  | 361  | F1   | 11110001 |
| ò                                  | 242  | 362  | F2   | 11110010 |
| ó                                  | 243  | 363  | F3   | 11110011 |
| ô                                  | 244  | 364  | F4   | 11110100 |
| õ                                  | 245  | 365  | F5   | 11110101 |
| ö                                  | 246  | 366  | F6   | 11110110 |
| ÷                                  | 247  | 367  | F7   | 11110111 |
| ø                                  | 248  | 370  | F8   | 11111000 |
| ù                                  | 249  | 371  | F9   | 11111001 |
| ú                                  | 250  | 372  | FA   | 11111010 |
| û                                  | 251  | 373  | FB   | 11111011 |
| ü                                  | 252  | 374  | FC   | 11111100 |
| ý                                  | 253  | 375  | FD   | 11111101 |
| þ                                  | 254  | 376  | FE   | 11111110 |
| ÿ                                  | 255  | 377  | FF   | 11111111 |
<!--rehype:className=show-header-->