ISO 639-1 Language Code  备忘清单
===

这是一个符合 ISO 639-1 标准的 ISO 语言代码列表，它为多语言网站提供参考。

入门
----

### 介绍
<!--rehype:style=display:none;&wrap-style=padding-top:0;&wrap-class=col-span-3-->

- [ISO 639-1](https://en.wikipedia.org/wiki/ISO_639-1) 是用于对语言进行分类的标准化命名法
- [ISO 639-1](https://en.wikipedia.org/wiki/ISO_639-1) 代码涵盖世界主要语言
- 这些代码是用于指示语言的有用的国际和正式速记
- 两个字母的代码
- 用于多语言网站，即国际化 (`i18n`)
- [i18n](https://en.wikipedia.org/wiki/Internationalization_and_localization) 语言代码
<!--rehype:className=style-round-->

ISO 639-1 代码列表
----

### 完整代码
<!--rehype:wrap-class=col-span-3-->

639-1 代码 | ISO 语言(中文)名称 | ISO 语言名称   | 本地名称 (地名)
:-|:-|:-|:-
`aa` | 阿法尔语       | Afar                | Afaraf
`ab` | 阿布哈兹语      | Abkhaz              | аҧсуа бызшәа
`ae` | 阿维斯陀语      | Avestan             | avesta
`af` | 南非語         | Afrikaans           | Afrikaans
`ak` | 阿坎语         | Akan                | Akan
`am` | 阿姆哈拉语      | Amharic             | አማርኛ
`an` | 阿拉贡语      | Aragonese           | aragonés
`ar` | 阿拉伯语      | Arabic              | اللغة العربية
`as` | 阿萨姆语      | Assamese            | অসমীয়া
`av` | 阿瓦尔语      | Avaric              | авар мацӀ
`ay` | 艾马拉语      | Aymara              | aymar aru
`az` | 阿塞拜疆语      | Azerbaijani         | azərbaycan dili
`ba` | 巴什基尔语      | Bashkir             | башҡорт теле
`be` | 白俄罗斯语      | Belarusian          | беларуская мова
`bg` | 保加利亚语      | Bulgarian           | български език
`bh` | 比哈尔语       | Bihari              | भोजपुरी
`bi` | 比斯拉马语      | Bislama             | Bislama
`bm` | 班巴拉语       | Bambara             | bamanankan
`bn` | 孟加拉语       | Bengali             | বাংলা
`bo` | 藏语         | Tibetan             | བོད་ཡིག
`br` | 布列塔尼语      | Breton              | brezhoneg
`bs` | 波斯尼亚语      | Bosnian             | bosanski jezik
`ca` | 加泰隆语      | Catalan             | Català
`ce` | 车臣语      | Chechen             | нохчийн мотт
`ch` | 查莫罗语      | Chamorro            | Chamoru
`co` | 科西嘉语      | Corsican            | corsu
`cr` | 克里语      | Cree                | ᓀᐦᐃᔭᐍᐏᐣ
`cs` | 捷克语      | Czech               | čeština
`cu` | 古教会斯拉夫语      | Old Church Slavonic | ѩзыкъ словѣньскъ
`cv` | 楚瓦什语      | Chuvash             | чӑваш чӗлхи
`cy` | 威尔士语      | Welsh               | Cymraeg
`da` | 丹麦语      | Danish              | dansk
`de` | 德语      | German              | Deutsch
`dv` | 迪维西语      | Divehi              | Dhivehi
`dz` | 不丹语      | Dzongkha            | རྫོང་ཁ
`ee` | 埃维语      | Ewe                 | Eʋegbe
`el` | 现代希腊语      | Greek               | Ελληνικά
`en` | 英语      | English             | English
`eo` | 世界语      | Esperanto           | Esperanto
`es` | 西班牙语      | Spanish             | Español
`et` | 爱沙尼亚语      | Estonian            | eesti
`eu` | 巴斯克语      | Basque              | euskara
`fa` | 波斯语      | Persian             | فارسی
`ff` | 富拉语      | Fula                | Fulfulde
`fi` | 芬兰语      | Finnish             | suomi
`fj` | 斐济语      | Fijian              | Vakaviti
`fo` | 法罗语      | Faroese             | føroyskt
`fr` | 法语      | French              | Français
`fy` | 弗里西亚语      | Western Frisian     | Frysk
`ga` | 爱尔兰语      | Irish               | Gaeilge
`gd` | 苏格兰盖尔语      | Scottish Gaelic     | Gàidhlig
`gl` | 加利西亚语      | Galician            | galego
`gn` | 瓜拉尼语      | Guarani            | avañe'ẽ
`gu` | 古吉拉特语      | Gujarati            | ગુજરાતી
`gv` | 马恩岛语      | Manx                | Gaelg
`ha` | 豪萨语      | Hausa               | هَوُسَ
`he` | 希伯来语      | Hebrew              | עברית
`hi` | 印地语      | Hindi               | हिन्दी
`ho` | 希里莫图语      | Hiri Motu           | Hiri Motu
`hr` | 克罗地亚语      | Croatian            | Hrvatski
`ht` | 海地克里奥尔语      | Haitian             | Kreyòl ayisyen
`hu` | 匈牙利语      | Hungarian           | magyar
`hy` | 亚美尼亚语      | Armenian            | Հայերեն
`hz` | 赫雷罗语      | Herero              | Otjiherero
`ia` | 因特语      | Interlingua         | Interlingua
`id` | 印尼语      | Indonesian          | Bahasa Indonesia
`ie` | 西方国际语      | Interlingue         | Interlingue
`ig` | 伊博语      | Igbo                | Asụsụ Igbo
`ii` | 四川彝语（诺苏语）      | Nuosu               | ꆈꌠ꒿ Nuosuhxop
`ik` | 伊努皮克语      | Inupiaq             | Iñupiaq
`io` | 伊多语      | Ido                 | Ido
`is` | 冰岛语      | Icelandic           | Íslenska
`it` | 意大利语      | Italian             | Italiano
`iu` | 因纽特语      | Inuktitut           | ᐃᓄᒃᑎᑐᑦ
`ja` | 日语      | Japanese            | 日本語
`jv` | 爪哇语      | Javanese            | basa Jawa
`ka` | 格鲁吉亚语      | Georgian            | ქართული
`kg` | 刚果语      | Kongo               | Kikongo
`ki` | 基库尤语      | Kikuyu              | Gĩkũyũ
`kj` | 宽亚玛语      | Kwanyama            | Kuanyama
`kk` | 哈萨克语      | Kazakh              | қазақ тілі
`kl` | 格陵兰语      | Kalaallisut         | kalaallisut
`km` | 高棉语      | Khmer               | ខេមរភាសា
`kn` | 卡纳达语      | Kannada             | ಕನ್ನಡ
`ko` | 朝鲜语、韩语      | Korean              | 한국어
`kr` | 卡努里语      | Kanuri              | Kanuri
`ks` | 克什米尔语      | Kashmiri            | कश्मीरी
`ku` | 库尔德语      | Kurdish             | Kurdî
`kv` | 科米语      | Komi                | коми кыв
`kw` | 康沃尔语      | Cornish             | Kernewek
`ky` | 吉尔吉斯语      | Kyrgyz              | Кыргызча
`la` | 拉丁语      | Latin               | latine
`lb` | 卢森堡语      | Luxembourgish       | Lëtzebuergesch
`lg` | 卢干达语      | Ganda               | Luganda
`li` | 林堡语       | Limburgish          | Limburgs
`ln` | 林加拉语       | Lingala             | Lingála
`lo` | 老挝语       | Lao                 | ພາສາ
`lt` | 立陶宛语       | Lithuanian          | lietuvių kalba
`lu` | 卢巴语       | Luba-Katanga        | Tshiluba
`lv` | 拉脱维亚语       | Latvian             | latviešu valoda
`mg` | 马达加斯加语       | Malagasy            | fiteny malagasy
`mh` | 马绍尔语       | Marshallese         | Kajin M̧ajeļ
`mi` | 毛利语       | Māori               | te reo Māori
`mk` | 马其顿语       | Macedonian          | македонски јазик
`ml` | 马拉雅拉姆语       | Malayalam           | മലയാളം
`mn` | 蒙古语       | Mongolian           | Монгол хэл
`mo` | 摩尔达维亚语   | Moldovan           | Лимба молдовеняскэ
`mr` | 马拉地语       | Marathi             | मराठी
`ms` | 马来语       | Malay               | Bahasa Malaysia
`mt` | 马耳他语       | Maltese             | Malti
`my` | 缅甸语       | Burmese             | ဗမာစာ
`na` | 瑙鲁语       | Nauru               | Ekakairũ Naoero
`nb` | 书面挪威语       | Norwegian Bokmål    | Norsk bokmål
`nd` | 北恩德贝莱语       | Northern Ndebele    | isiNdebele
`ne` | 尼泊尔语       | Nepali              | नेपाली
`ng` | 恩敦加语       | Ndonga              | Owambo
`nl` | 荷兰语       | Dutch               | Nederlands
`nn` | 新挪威语       | Norwegian Nynorsk   | Norsk nynorsk
`no` | 挪威语       | Norwegian           | Norsk
`nr` | 南恩德贝莱语       | Southern Ndebele    | isiNdebele
`nv` | 纳瓦霍语       | Navajo              | Diné bizaad
`ny` | 尼扬贾语       | Chichewa            | chiCheŵa
`oc` | 奥克语       | Occitan             | occitan
`oj` | 奥杰布瓦语       | Ojibwe              | ᐊᓂᔑᓈᐯᒧᐎᓐ
`om` | 奥罗莫语       | Oromo               | Afaan Oromoo
`or` | 奥里亚语       | Oriya               | ଓଡ଼ିଆ
`os` | 奥塞梯语       | Ossetian            | ирон æвзаг
`pa` | 旁遮普语       | Panjabi             | ਪੰਜਾਬੀ
`pi` | 巴利语       | Pāli                | पाऴि
`pl` | 波兰语       | Polish              | Polski
`ps` | 普什图语       | Pashto              | پښتو
`pt` | 葡萄牙语       | Portuguese          | Português
`qu` | 克丘亚语       | Quechua             | Runa Simi
`rm` | 罗曼什语       | Romansh             | rumantsch grischun
`rn` | 基隆迪语       | Kirundi             | Ikirundi
`ro` | 罗马尼亚语       | Romanian            | Română
`ru` | 俄语       | Russian             | Русский
`rw` | 卢旺达语       | Kinyarwanda         | Ikinyarwanda
`sa` | 梵语       | Sanskrit            | संस्कृतम्
`sc` | 撒丁语       | Sardinian           | sardu
`sd` | 信德语       | Sindhi              | सिन्धी
`se` | 北萨米语      | Northern Sami       | Davvisámegiella
`sg` | 桑戈语      | Sango               | yângâ tî sängö
`sh` | 塞尔维亚-克罗地亚语      | Serbo-Croatian                   | Српскохрватски језик
`si` | 僧伽罗语      | Sinhala             | සිංහල
`sk` | 斯洛伐克语      | Slovak              | slovenčina
`sl` | 斯洛文尼亚语      | Slovenian           | slovenščina
`sm` | 萨摩亚语      | -                   | -
`sn` | 修纳语      | Shona               | chiShona
`so` | 索马里语      | Somali              | Soomaaliga
`sq` | 阿尔巴尼亚语      | Albanian            | Shqip
`sr` | 塞尔维亚语      | Serbian             | српски језик
`ss` | 斯威士语      | Swati               | SiSwati
`st` | 塞索托语      | Southern Sotho      | Sesotho
`su` | 巽他语      | Sundanese           | Basa Sunda
`sv` | 瑞典语      | Swedish             | Svenska
`sw` | 斯瓦希里语      | Swahili             | Kiswahili
`ta` | 泰米尔语      | Tamil               | தமிழ்
`te` | 泰卢固语      | Telugu              | తెలుగు
`tg` | 塔吉克语      | Tajik               | тоҷикӣ
`th` | 泰语      | Thai                | ไทย
`ti` | 提格雷尼亚语      | Tigrinya            | ትግርኛ
`tk` | 土库曼语      | Turkmen             | Türkmen
`tl` | 他加禄语      | Tagalog             | Wikang Tagalog
`tn` | 茨瓦纳语      | Tswana              | Setswana
`to` | 汤加语      | Tonga               | faka Tonga
`tr` | 土耳其语      | Turkish             | Türkçe
`ts` | 宗加语      | Tsonga              | Xitsonga
`tt` | 塔塔尔语      | Tatar               | татар теле
`tw` | 特威语      | Twi                 | Twi
`ty` | 塔希提语      | Tahitian            | Reo Tahiti
`ug` | 维吾尔语      | Uyghur              | ئۇيغۇرچە‎
`uk` | 乌克兰语      | Ukrainian           | Українська
`ur` | 乌尔都语      | Urdu                | اردو
`uz` | 乌兹别克语      | Uzbek               | Ўзбек
`ve` | 文达语      | Venda               | Tshivenḓa
`vi` | 越南语      | Vietnamese          | Tiếng Việt
`vo` | 沃拉普克语      | Volapük             | Volapük
`wa` | 瓦隆语      | Walloon             | walon
`wo` | 沃洛夫语      | Wolof               | Wollof
`xh` | 科萨语      | Xhosa               | isiXhosa
`yi` | 依地语      | Yiddish             | ייִדיש
`yo` | 约鲁巴语      | Yoruba              | Yorùbá
`za` | 壮语      | Zhuang              | Saɯ cueŋƅ
`zh` | 汉语（中文）      | Chinese             | 中文
`zu` | 祖鲁语      | Zulu                | isiZulu
<!--rehype:className=show-header-->

### SO 639-1 新增了以下语言
<!--rehype:wrap-class=col-span-3-->

ISO 639-1 | ISO 639-2 | 名称 | 更改日期 | 更改类型 | 曾用代码
:-|:-|:-|:-|:-|:-
io | ido | 伊多语 | 2002年1月15日 | 新增 | art
wa | wln | 瓦隆语 | 2002年1月29日 | 新增 | roa
li | lim | 林堡语 | 2002年8月2日 | 新增 | gem
ii | iii | 四川省彝语(诺苏语) | 2002年10月14日 | 新增 | -
an | arg | 阿拉贡语 | 2002年12月23日 | 新增 | roa
ht | hat | 海地克里奥尔语 | 2003年2月26日 | 新增 | cpf
<!--rehype:className=show-header-->

自 [RFC 3066](https://tools.ietf.org/html/rfc3066) 出版后，ISO 639-1 新增了以上语言

另见
---
<!--rehype:wrap-class=col-span-3-->

- [国际化与本地化](https://zh.wikipedia.org/wiki/国际化与本地化) _(wikipedia.org)_
- [ISO_639-1](https://zh.wikipedia.org/wiki/ISO_639-1) _(wikipedia.org)_
