MIME 类型 备忘清单
===

此备忘单列出了一些常见的 Web MIME 类型。 您可以查看包含所有已注册 MIME 类型的 [IANA/MIME 媒体类型注册表](https://www.iana.org/assignments/media-types/media-types.xhtml)。

入门
----

### 介绍
<!--rehype:style=display:none;&wrap-style=padding-top:0;&wrap-class=col-span-3-->

- MIME 类型注册表关联特定的文件扩展名和文件名模式
- MIME（多用途 Internet 邮件扩展）类型又名媒体类型
- MIME 类型在 IETF 的 RFC 6838 中定义和标准化
- 表示文档、文件或字节分类的性质和格式。
- 对于 Internet 上的文件格式或格式内容
<!--rehype:className=style-round-->

MIME 类型列表
--------

### 常见的 MIME（媒体）类型
<!--rehype:wrap-class=col-span-3-->

扩展名 | MIME 类型(内容类型） | 文件种类
:-|:-|:-
\.aac           | audio/aac                                                                                       | AAC 音频
\.abw           | application/x\-abiword                                                                          | AbiWord 文档
\.arc           | application/x\-freearc                                                                          | 存档文档（嵌入多个文件）
\.avi           | video/x\-msvideo                                                                                | AVI: 音频视频交错
\.azw           | application/vnd\.amazon\.ebook                                                                  | 亚马逊 Kindle 电子书格式
\.bin           | application/octet\-stream                                                                       | 任何类型的二进制数据
\.bmp           | image/bmp                                                                                       | Windows OS/2 位图图形
\.bz            | application/x\-bzip                                                                             | BZip 存档
\.bz2           | application/x\-bzip2                                                                            | BZip2 存档
\.csh           | application/x\-csh                                                                              | C\-Shell 脚本
\.css           | text/css                                                                                        | 级联样式表 (CSS)
\.csv           | text/csv                                                                                        | 逗号分隔值 (CSV)
\.doc           | application/msword                                                                              | 微软 Word
\.docx          | application/vnd\.openxmlformats\-officedocument\.wordprocessingml\.document                     | 微软 Word (OpenXML)
\.eot           | application/vnd\.ms\-fontobject                                                                 | MS 嵌入式 OpenType 字体
\.epub          | application/epub\+zip                                                                           | 电子出版物 (EPUB)
\.gz            | application/gzip                                                                                | GZip 压缩存档
\.gif           | image/gif                                                                                       | 图形交换格式 (GIF)
\.htm \.html    | text/html                                                                                       | 超文本标记语言 (HTML)
\.ico           | image/vnd\.microsoft\.icon                                                                      | 图标格式
\.ics           | text/calendar                                                                                   | iCalendar 格式
\.jar           | application/java\-archive                                                                       | Java 存档 (JAR)
\.jpeg \.jpg    | image/jpeg                                                                                      | JPEG 图像
\.js            | text/javascript                                                                                 | JavaScript
\.json          | application/json                                                                                | JSON格式
\.jsonld        | application/ld\+json                                                                            | JSON\-LD 格式
\.mid \.midi    | audio/midi audio/x\-midi                                                                        | 乐器数字接口 (MIDI)
\.mjs           | text/javascript                                                                                 | JavaScript 模块
\.mp3           | audio/mpeg                                                                                      | MP3 音频
\.mpeg          | video/mpeg                                                                                      | MPEG 视频
\.mpkg          | application/vnd\.apple\.installer\+xml                                                          | Apple 安装程序包
\.odp           | application/vnd\.oasis\.opendocument\.presentation                                              | OpenDocument 演示文档
\.ods           | application/vnd\.oasis\.opendocument\.spreadsheet                                               | OpenDocument 电子表格文档
\.odt           | application/vnd\.oasis\.opendocument\.text                                                      | OpenDocument 文本文档
\.oga           | audio/ogg                                                                                       | OGG 音频
\.ogv           | video/ogg                                                                                       | OGG 视频
\.ogx           | application/ogg                                                                                 | OGG
\.opus          | audio/opus                                                                                      | Opus 音频
\.otf           | font/otf                                                                                        | OpenType 字体
\.png           | image/png                                                                                       | 便携式网络图形
\.pdf           | application/pdf                                                                                 | Adobe 便携式文档格式 (PDF)
\.php           | application/php                                                                                 | 超文本预处理器（个人主页）
\.ppt           | application/vnd\.ms\-powerpoint                                                                 | 微软PowerPoint
\.pptx          | application/vnd\.openxmlformats\-officedocument\.presentationml\.presentation                   | 微软 PowerPoint (OpenXML)
\.rar           | application/vnd\.rar                                                                            | RAR 存档
\.rtf           | application/rtf                                                                                 | 富文本格式 (RTF)
\.sh            | application/x\-sh                                                                               | Bourne shell 脚本
\.svg           | image/svg\+xml                                                                                  | 可缩放矢量图形 (SVG)
\.swf           | application/x\-shockwave\-flash                                                                 | 小型 Web 格式 (SWF) 或 Adobe Flash 文档
\.tar           | application/x\-tar                                                                              | Tape 存档 (TAR)
\.tif \.tiff    | image/tiff                                                                                      | 标记图像文件格式 (TIFF)
\.ts            | video/mp2t                                                                                      | MPEG 传输流
\.ttf           | font/ttf                                                                                        | TrueType 字体
\.txt           | text/plain                                                                                      | 文本，（通常为 ASCII 或 ISO 8859\-n）
\.vsd           | application/vnd\.visio                                                                          | 微软 Visio
\.wav           | audio/wav                                                                                       | Waveform 音频格式
\.weba          | audio/webm                                                                                      | WEBM 音频
\.webm          | video/webm                                                                                      | WEBM视频
\.webp          | image/webp                                                                                      | WEBP图像
\.woff          | font/woff                                                                                       | Web 开放字体格式 (WOFF)
\.woff2         | font/woff2                                                                                      | Web 开放字体格式 (WOFF)
\.xhtml         | application/xhtml\+xml                                                                          | XHTML
\.xls           | application/vnd\.ms\-excel                                                                      | Microsoft Excel
\.xlsx          | application/vnd\.openxmlformats\-officedocument\.spreadsheetml\.sheet                           | Microsoft Excel (OpenXML)
\.xml           | application/xml 如果临时用户不可读(RFC 3023，第 3 节) text/xml，如果临时用户可读(RFC 3023，第 3 节)     | XML
\.xul           | application/vnd\.mozilla\.xul\+xml                                                              | XUL
\.zip           | application/zip                                                                                 | ZIP 档案
\.3gp           | video/3gpp audio/3gpp 如果它不包含视频                                                            | 3GPP 音视频容器
\.3g2           | video/3gpp2 audio/3gpp2 如果它不包含视频                                                          | 3GPP2 音视频容器
\.7z            | application/x\-7z\-compressed                                                                   | 7-zip 存档
\.markdown \.md | text/markdown                                                                                   | Markdown 文件
<!--rehype:className=show-header-->

另见
---

- [iana mime.types](http://www.iana.org/assignments/media-types/media-types.xhtml) _(iana.org)_
- [apache mime.types](http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types) _(svn.apache.org)_
- [nginx mime.types](http://hg.nginx.org/nginx/raw-file/default/conf/mime.types) _(hg.nginx.org)_
